Region Class Reference

Region class, used for inflation applicability. More...

`#include <ql/indexes/region.hpp>`

Inheritance diagram for Region:
[legend]

## Public Member Functions

Inspectors
const std::string & | name () const
const std::string & | code () const

## Protected Attributes

boost::shared_ptr< Data > | data_

## Related Functions

(Note that these are not member functions.)
bool | operator== (const Region &, const Region &)
bool | operator!= (const Region &, const Region &)

## Detailed Description

Region class, used for inflation applicability.

## Friends And Related Function Documentation

bool operator== | ( | const Region & | ,
|  | const Region & |
| ) |  |

related

bool operator!= | ( | const Region & | ,
|  | const Region & |
| ) |  |

related